{{#if listeEcurie}}
<div class="center">
  <img src="/image/cat_ecurie.png" alt="Image voiture écurie">
</div>
<div class="center">
  <h1>Gestion des écuries</h1>
</div>
<div class="center">
  <a href="/ecurie/ajout"><img src="/image/act_add.png" alt="Image ajout">Ajouter une écurie</a>
</div>
<br>
<br>
<div class="center">
  <table class="border">
    <tr>
      <th class="border">Nom</th>
      <th class="border">Directeur</th>
      <th class="border">Points</th>
      <th class="border">Actions</th>
    </tr>
    {{#each listeEcurie}}
    <tr>
      <td class="border">{{this.ECUNOM}}</td>
      <td class="border">{{this.ECUNOMDIR}}</td>
      <td class="border textcenter">{{#if this.ECUPOINTS}}{{this.ECUPOINTS}}{{else}}0{{/if}}</td>
      <td class="border"><a href="/modifierEcurie/{{this.ECUNUM}}" class="actions"><img src="/image/act_edit.png" alt="Image edition">Modifier</a><a href="/suppEcurie/{{this.ECUNUM}}" class="actions"><img src="/image/act_delete.png" alt="Image edition">Supprimer</a></td>
    </tr>
    {{/each}}
  </table>
</div>
{{/if}}
{{#if listeNationalite}}
<div class="center">
  <h1>Ajouter une écurie</h1>
</div>
<div class="center">
  <form action="/ajoutEcurieReq" enctype="multipart/form-data" method="post">
    <div id="left">
      <div class="positionText">
        <label for="nom">Nom</label>
      </div>
      <div class="positionText">
        <label for="directeur">Directeur</label>
      </div>
      <div class="positionText">
        <label for="adr_siege">Adresse de siège</label>
      </div>
      <div class="positionText">
        <label for="nb_points">Points</label>
      </div>
      <div class="positionText">
        <label for="nationnalite">Nationalité</label>
      </div>
      <div class="positionText">
        <label for="image">Image</label>
      </div>
    </div>
    <div id="right">
      <input type="text" name="nom" required><br>
      <input type="text" name="directeur" required><br>
      <input type="text" name="adr_siege" class="adresseSiege" required><br>
      <input type="number" name="nb_points" required> pts<br>
      <select name="nat">
        {{#each listeNationalite}}
        <option value="{{this.PAYNUM}}">{{this.PAYNOM}}</option>
        {{/each}}
      </select><br>
      <input type="file" name="upload" class="inputFile" required><br><br>
      <input id="button" type="submit" name="ajouterEcurie" value="Ajouter">
    </div>
  </form>
</div>

{{/if}}

{{#if listeEcurieModif}}
<div class="center">
  <h1>Modifier une écurie</h1>
</div>
<div class="center">
  <form action="/ModifierEcurieReq/{{listeEcurieModif.ecunum}}" enctype="multipart/form-data" method="post">
    <div id="left">
      <div class="positionText">
        <label for="nom">Nom</label>
      </div>
      <div class="positionText">
        <label for="directeur">Directeur</label>
      </div>
      <div class="positionText">
        <label for="adr_siege">Adresse de siège</label>
      </div>
      <div class="positionText">
        <label for="nb_points">Points</label>
      </div>
      <div class="positionText">
        <label for="nationnalite">Nationalité</label>
      </div>
      <div class="positionText">
        <label for="image">Image</label>
      </div>
    </div>
    <div id="right">
      <input type="text" name="nom" value="{{listeEcurieModif.ecunom}}" required><br>
      <input type="text" name="directeur" value="{{listeEcurieModif.ecunomdir}}" required><br>
      <input type="text" name="adr_siege" value="{{listeEcurieModif.ecuadrsiege}}"  class="adresseSiege" required><br>
      <input type="number" name="nb_points" {{#if listeEcurieModif.ecupoints}} value="{{listeEcurieModif.ecupoints}}"{{else}}value="0"{{/if}} required> pts<br>
      <select name="nat">
        <option value="{{listeEcurieModif.paynum}}">{{listeEcurieModif.paynom}}</option>
        {{#each listeNationaliteModif}}
          {{#ifCond ../listeEcurieModif.paynum '==' this.PAYNUM}}
          {{else}}
            <option value="{{this.PAYNUM}}">{{this.PAYNOM}}</option>
          {{/ifCond}}
        {{/each}}
      </select><br>
      <input type="file" name="upload" class="inputFile" required> <br><br>
      <input id="button" type="submit" name="ajouterEcurie" value="Modifier">
    </div>


  </form>
</div>

{{/if}}
